Skip to main content
POST
/
api
/
conversations
/
{conversation_id}
/
confirmation_policy
Set Conversation Confirmation Policy
curl --request POST \
  --url https://api.example.com/api/conversations/{conversation_id}/confirmation_policy \
  --header 'Content-Type: application/json' \
  --data '
{
  "policy": {
    "kind": "<string>"
  }
}
'
import requests

url = "https://api.example.com/api/conversations/{conversation_id}/confirmation_policy"

payload = { "policy": { "kind": "<string>" } }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({policy: {kind: '<string>'}})
};

fetch('https://api.example.com/api/conversations/{conversation_id}/confirmation_policy', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Path Parameters

conversation_id
string<uuid>
required

Body

application/json

Payload to set confirmation policy for a conversation.

policy
AlwaysConfirm · object
required

The confirmation policy to set

Response

Successful Response

success
boolean
default:true